
Foreman - Bug #16437

RuntimeError: resource have no errors on POST "/api/hosts/facts" 

09/05/2016 10:30 AM - Jan-Otto Kröpke

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.12.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi!

I have noticed that new hosts does not have any facts.

Here is the error from production.log

2016-09-05 16:27:50 [app] [I] Started POST "/api/hosts/facts" for 10.20.20.23 at 2016-09-05 16:27:

50 +0200

2016-09-05 16:27:50 [app] [I] Processing by Api::V2::HostsController#facts as JSON

2016-09-05 16:27:50 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"hostname", "certname"

=>"hostname", "apiv"=>"v2", :host=>{"name"=>"hostname", "certname"=>"hostname"}}

2016-09-05 16:27:50 [app] [W] Action failed

 | RuntimeError: resource have no errors

 | /usr/share/foreman/app/controllers/api/base_controller.rb:92:in `process_resource_error'

 | /usr/share/foreman/app/controllers/api/base_controller.rb:112:in `process_response'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:238:in `facts'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/impl

icit_render.rb:4:in `send_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

198:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rend

ering.rb:10:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:20:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:555:in `block (2 levels) in compile'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:152:in `disable_json_root'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.
rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_c

ontroller/caching/sweeping.rb:73:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_c

ontroller/caching/sweeping.rb:73:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_process_action_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:19:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/resc

ue.rb:29:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:32:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `block in instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons/instrumenter.rb:20:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:30:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/para

ms_wrapper.rb:250:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/con

troller_runtime.rb:18:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

137:in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:

in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:1

96:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack

_delegation.rb:13:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:2

37:in `block in action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout
e_set.rb:74:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:74:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:43:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/mapp

er.rb:49:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:43:in `block in serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:815:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/static_dispatcher.rb

:65:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/extractor/recorder.r

b:132:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/middleware/checksum_

in_headers.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:38:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/p

arams_parser.rb:27:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/f

lash.rb:260:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in `

context'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in `

call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

ookies.rb:560:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.

rb:36:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/connection_pool.rb:653:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:29:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:88:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_call_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/r

emote_ip.rb:78:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/d

ebug_exceptions.rb:17:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

how_exceptions.rb:30:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in `ca

ll_app'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in `ca

ll'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/r

equest_id.rb:21:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/stra

tegy/local_cache_middleware.rb:28:in `call'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `publi

c_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `metho

d_missing'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'

 | /usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_pro

cess_next_request'

 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

 | /usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_thr

eads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `block in create_with_logging_context'

2016-09-05 16:27:50 [app] [I]   Rendered api/v2/errors/standard_error.json.rabl within api/v2/layo

uts/error_layout (0.7ms)

2016-09-05 16:27:50 [app] [I] Completed 500 Internal Server Error in 15ms (Views: 1.6ms | ActiveRe

cord: 1.5ms)

2016-09-05 16:27:50 [app] [I] Started GET "/node/hostname?format=yml" for 10.20.20.23 at 2016-09-0

5 16:27:50 +0200

2016-09-05 16:27:50 [app] [I] Processing by HostsController#externalNodes as YML

2016-09-05 16:27:50 [app] [I]   Parameters: {"name"=>"hostname"}

2016-09-05 16:27:50 [app] [I]   Rendered text template (0.0ms)

2016-09-05 16:27:50 [app] [I] Completed 200 OK in 235ms (Views: 0.7ms | ActiveRecord: 9.1ms)

History

#1 - 09/06/2016 03:32 PM - C Kilby

Jan-Otto Kröpke wrote:

Hi!

I have noticed that new hosts does not have any facts.

Here is the error from production.log

[...]

 I had this same bug in my environment after upgrading from 1.11 to 1.12. It came down to create_new_host_when_facts_are_uploaded being set to

false in my environment, and that was added as a check

https://github.com/theforeman/foreman/blob/1.11-stable/app/models/host/base.rb@134 no check

https://github.com/theforeman/foreman/blob/1.12-stable/app/models/host/base.rb@140 checked.

I don't know why this was changed, but removing that check returned my facts import to functioning.

#2 - 09/06/2016 03:34 PM - C Kilby

I had this same bug in my environment after upgrading from 1.11 to 1.12. It came down to create_new_host_when_facts_are_uploaded being set to

false in my environment, and that was added as a check

https://github.com/theforeman/foreman/blob/1.11-stable/app/models/host/base.rb#L134 no check

https://github.com/theforeman/foreman/blob/1.12-stable/app/models/host/base.rb#L140 checked.

I don't know why this was changed, but removing that check returned my facts import to functioning.

#3 - 09/07/2016 03:11 AM - Jan-Otto Kröpke

Set create_new_host_when_facts_are_uploaded to true resolve this issue, too.
